package com.yidianling.tests.list.view

import com.ydl.ydlcommon.mvp.base.IView
import com.yidianling.tests.list.model.bean.TestCategory
import com.yidianling.tests.list.model.bean.TestsRedPacketBean


/**
 * TestListActivityView
 * Created by zqk on 17-11-22.
 */
interface TestListActivityView : IView {
    fun onTestCategoryListFetched(testCategoryList: MutableList<TestCategory>)
    fun couponResponse(list : ArrayList<TestsRedPacketBean>)
    fun onFailed(msg: String?)
    fun onError(t: Throwable)
}